package com.lightinit.hsdataplatformresdir.service.admin;

import com.lightinit.hsdataplatformresdir.model.ResultState;
import com.lightinit.hsdataplatformresdir.model.admin.*;

import java.util.List;

/**
 * Created by WangYao on 2018/5/23.
 */
public interface IResourceDataRegisterService {

    ResourceDataRegisterDataModel queryOne(long id);
    List<ResourceDataRegisterListModel> queryList(ResourceDataRegisterSearchModel inputModel);
    long queryCount(ResourceDataRegisterSearchModel inputModel);
    ResultState<Long> add(ResourceDataRegisterDataModel inputModel);
    ResultState<Long> edit(ResourceDataRegisterDataModel inputModel);
    ResultState<Long> delete(long id);
    ResultState<Long> audit(ResourceDataRegisterAuditModel inputModel);

}
